# Uses of Interface
org.opensaml.soap.wstrust.KeyWrapAlgorithm

Packages that use KeyWrapAlgorithm
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of KeyWrapAlgorithm in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement KeyWrapAlgorithm
Modifier and Type
Class
Description
`class`
`KeyWrapAlgorithmImpl`
KeyWrapAlgorithmImpl.
Methods in org.opensaml.soap.wstrust.impl that return KeyWrapAlgorithm
Modifier and Type
Method
Description
`KeyWrapAlgorithm`
KeyWrapAlgorithmBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`KeyWrapAlgorithm`
KeyWrapAlgorithmBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.